import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class HelloWorldGUI1 extends JPanel {
    
    // If components are instance variables, they must be
    // used within a non-static context (Not main).
    JPanel content;  // declare JPanel to hold content of GUI
    
    /**
     * main method creates a variable of its own type and calls
     * constructor
     */
    public static void main(String[] args) {  
        HelloWorldGUI1 displayPanel = new HelloWorldGUI1();
    } // end main
     
    /**
     * Physical layout of GUI is setup in constructor
     */
    public HelloWorldGUI1() {
        // content is JPanel to hold background
        content = new JPanel();
        content.setSize(250,100);
        content.setLayout(new BorderLayout());
        
        // this is a HelloWorldGUI1 object
        content.add(this, BorderLayout.CENTER);
        
        JFrame window = new JFrame("GUI Test");
        window.setBackground(Color.PINK);
        window.setContentPane(content);
        window.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        window.setLocation(100,100);
        window.setPreferredSize(new Dimension(250,100));
        window.pack();
        window.setVisible(true);
        
    }
    
    /** 
     * paintComponent is called by system when program starts
     * or when repaint is called.
     */
    public void paintComponent(Graphics g) {
        super.paintComponent(g);
        g.drawString( "Hello World!", 20, 30);
    }    
    
}